if(isPackage(StandaloneWeakSpearEdits))
	deactivatePackage(StandaloneWeakSpearEdits);
package StandaloneWeakSpearEdits
{
	function spearImage::onAbortCharge(%this, %obj, %slot) //this should allow you to fire a less accurate spear if you abort the charge. based on butterfly knife.
	{
		%obj.playthread(2, spearThrow);
		
		%projectile = spearProjectile;
		%spread = 0.1;
		%shellcount = 1;
		serverPlay3D(spearFireSound, %obj.getPosition());
		
		for(%shell=0; %shell<%shellcount; %shell++)
		{
			%vector = %obj.getMuzzleVector(%slot);
			%objectVelocity = %obj.getVelocity();
			%vector1 = VectorScale(%vector, (%projectile.muzzleVelocity * 0.2));
			%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
			%velocity = VectorAdd(%vector1,%vector2);
			%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
			%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
			%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
			%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
			%velocity = MatrixMulVector(%mat, %velocity);

			%p = new (%this.projectileType)()
			{
				dataBlock = %projectile;
				initialVelocity = %velocity;
				initialPosition = %obj.getMuzzlePoint(%slot);
				sourceObject = %obj;
				sourceSlot = %slot;
				client = %obj.client;
			};
			MissionCleanup.add(%p);
		}
		return %p;
	}
};
activatePackage(StandaloneWeakSpearEdits);